package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTablespaceStatement extends SQLStatementImpl {
   protected SQLName name;
   protected Status status;
   protected SQLAlterTablespacleItem item;

   public SQLAlterTablespaceStatement(DbType dbType) {
      this.dbType = dbType;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.item);
      }

      visitor.endVisit(this);
   }

   public Status getStatus() {
      return this.status;
   }

   public void setStatus(Status status) {
      this.status = status;
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public SQLAlterTablespacleItem getItem() {
      return this.item;
   }

   public void setItem(SQLAlterTablespacleItem item) {
      this.item = item;
   }

   public static enum Status {
      ONLINE,
      OFFLINE,
      CORRUPT;
   }
}
